@import "./_variables.scss";

$fontSizes: (
    tiny: 1.3125rem,
    normal: 1.5rem,
    big: 1.6875rem,
    xbig: 1.875rem,
    xxbig: 2.25rem,
    huge: 2.625rem,
    xhuge: 3rem
) !default;

body, html {
    font-size: 10px;
    font-family: 'Inter', sans-serif;
    color: map-get($colors, 'ink-base');
    @media (min-width: 1201px) and (max-width: 1440px) {
        font-size: 7.1px
    }
    @media (min-width: 1441px) and (max-width: 1600px) {
        font-size: 8.3333333px
    }
}
.regular {
    font-weight: 400;
}
.semi-bold, .sb {
    font-weight: 500;
}
strong, .bold, .strong {
    font-weight: 600;
}
.italic {
    font-style: italic;
}
.underline {
    text-decoration: underline;
}
.align-right {
    text-align: right;
}
.align-left {
    text-align: left;
}
.align-center {
    text-align: center;
}
h1 {
    font-size: 3rem;
    line-height: 1.125;
    color: map-get($colors, 'ink-base');
    font-weight: 600;
}
h2 {
    font-size: 2.625rem;
    line-height: 1.14285714286;
    font-weight: 600;
}
h3 {
    font-size: 2.25rem;
    line-height: 1.16666667;
    font-weight: 600;
}
p, input, textarea {
    font-size: 1.5rem;
    line-height: 1.25;
    font-family: 'Inter', sans-serif;
    &.large {
        font-size: 1.875rem;
        line-height: 1.2;
    }
    &.small {
        font-size: 1.6875rem;
        line-height: 1.122222;
    }
    &.micro {
        font-size: 1.3125rem;
        line-height: 1.14285714286;
    }
}

@each $size in map-keys($fontSizes) {
    .line-height-#{$size} {
        line-height: map-get($fontSizes, $size);
    }
    .font-size-#{$size} {
        font-size: map-get($fontSizes, $size);
        p, li, blockquote, span {
            font-size: inherit;
        }
    }
}

@each $breakpoint in map-keys($breakpoints) {
    @media (min-width: map-get($breakpoints, $breakpoint)) {
        .align-right-#{$breakpoint} {
            text-align: right;
        }
        .align-left-#{$breakpoint} {
            text-align: left;
        }
        .align-center-#{$breakpoint} {
            text-align: center;
        }
        @each $size in map-keys($fontSizes) {
            .line-height-#{$breakpoint}-#{$size} {
                line-height: map-get($fontSizes, $size);
            }
            .font-size-#{$breakpoint}-#{$size} {
                font-size: map-get($fontSizes, $size);
            }
        }
    }
}
